<id>
Spoiler Tag for YaBB 2.7.00
</id>

<version>
2.6
</version>

<mod info>
Adds Spoiler Tag to YaBB 2.7.00

History
1.0 - Written by Derek Barnstorm for YaBB 2.2.3 - 30th July 2008
1.1 - Added to Instant Messages - 31st July 2008
1.2 - Added to Live Preview, Print Page and also added description function - 12th August 2008
1.3 - Updated for YaBB 2.3 - 14th October 2008
1.4 - Updated for YaBB 2.3.1 - 5th January 2009
1.5 - Updated for YaBB 2.4 - 15th April 2009
2.0 - Updated for YaBB 2.6.0 25 June, 2014 by Dandello
2.1 - Chrome javascript fix
2.2 - updated for Build 1531 Aug 14, 2014 by DA Rorabaugh (Dandello)
2.3 - updated for YaBB 2.6.1 (Build 1560+) Sep 5, 2014 by DA Rorabaugh (Dandello)
2.4 - updated for YaBB 2.6.12 (Build 1655+) Feb 17, 2016 by DA Rorabaugh (Dandello)
2.5 - updated for YaBB 2.7.00 (Build 1655+) Feb 17, 2016 by DA Rorabaugh (Dandello)
2.6 - updated for YaBB 2.7.00 (Build 1764+) Jan 10, 2017 by DA Rorabaugh (Dandello)

Files to edit
Admin/ModList.pm
Languages/English/InstantMessage.lng
Languages/English/Main.lng
Languages/English/Post.lng
Sources/InstantMessage.pm
Sources/MyCenter.pm
Sources/PostBox.pm
Sources/Printpage.pm
Sources/YaBBC.pm

ubbc.js

default.css
</mod info>

<author>
Derek Barnstorm, updated for 2.7.00 by Dandello
</author>

<homepage>
http://yabbforumsoftware.com
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    my $spoiler_mod = q~Spoiler Tag|Derek Barnstorm, updated for 2.7.00 by Dandello|Adds Spoiler Tag to YaBB|2.6|Jan 10, 2017~;
    push @installed_mods, $spoiler_mod;
</add before>

<edit file>
Languages/English/ContextHelp.lng
</edit file>

<search for>
if (@englishcontexthelplngmods) {
</search for>

<add before>
push @englishcontexthelplngmods, 'Spoiler Tag';
</add before>

<search for>
1;
</search for>

<add before>
$contextxt{'spoiler'} = q~Hide spoilers or warnings:<br /><br />Select the text: bla bla [SELECT]Hello World[/SELECT] bla bla<br /><br />Click on the \"[TITLE]\" button: [BUTTON]<br /><br /><b>YaBBC Code:</b> bla bla [spoiler]Hello World[/spoiler] bla bla<br /><br /><b>Result:</b> bla bla [SPOILER]Hello World[/SPOILER] bla bla~;

</add before>

<edit file>
Languages/English/InstantMessage.lng
</edit file>

<search for>
if (@englishinstantmessagelngmods) {
</search for>

<add before>
push @englishinstantmessagelngmods, 'Spoiler Tag';
</add before>

<search for>
1;
</search for>

<add before>
$inmes_imtxt{'85'} = 'Spoiler Ripped out';
</add before>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
if (@englishmainlngmods) {
</search for>

<add before>
push @englishmainlngmods, 'Spoiler Tag';
</add before>

<search for>
1;
</search for>

<add before>

## spoiler text
%spoiler_txt =(
'01' => 'Spoiler',
'02' => 'Show',
'03' => 'Hide',
'04' => 'for',
);

</add before>

<edit file>
Languages/English/Post.lng
</edit file>

<search for>
if (@englishpostlngmods) {
</search for>

<add before>
push @englishpostlngmods, 'Spoiler Tag';
</add before>

<search for>
1;
</search for>

<add before>

## spoiler text
%spoiler_txt =(
'01' => 'Spoiler',
'02' => 'Show',
'03' => 'Hide',
'04' => 'for',
'05' => 'Insert Spoiler',
);

</add before>

<edit file>
Sources/ContextHelp.pm
</edit file>

<search for>
if (@contexthelppmmods) {
</search for>

<add before>
push @contexthelppmmods, 'Spoiler Tag';
</add before>

<search for>
## our Mod Hook ##
</search for>

<add before>
our (%spoiler_txt);
</add before>

<search for>
    my $contextlst = q{};
</search for>

<add before>
    my $spoil1 = $spoiler_txt{'01'};
    my $spoil2 = $spoiler_txt{'02'};
    my $spoil3 = $spoiler_txt{'03'};
</add before>

<search for>
        document.getElementById("contexttitle").innerHTML = contextimage + ' ' + contitle;
</search for>

<add before>
        contexthelp = contexthelp.replace(/\\[SPOILER\\](.*?)\\[\\/SPOILER\\]/g, '<div class=\"message\"><div style=\"padding-bottom: 1px;\"><b> $spoil1</b>: <input type=\"button\" class=\"button\" value=\"$spoil3\"></div><div class=\"spoiler\"><div> \$1</div></div></div><br /><div class=\"message\"><div style=\"padding-bottom: 1px;\"><b> $spoil1</b>: <input type=\"button\" class=\"button\" value=\"$spoil2\"></div><div class=\"spoiler\"><div style=\"display:none\"> \$1</div></div></div>');
</add before>

<edit file>
Sources/PostBox.pm
</edit file>

<search for>
if (@postboxpmmods) {
</search for>

<add before>
push @postboxpmmods, 'Spoiler Tag';
</add before>

<search for>
## our Mod Hook ##
</search for>

<add before>
our (%spoiler_txt);
</add before>

<search for>
    ## Mod Hook for UBBC ##
</search for>

<add before>
    $mods{'spoiler'} = "spoiler.png|spoiler()|$spoiler_txt{'05'}";
</add before>

<edit file>
Sources/MyCenter.pm
</edit file>

<search for>
if (@mycenterpmmods) {
</search for>

<add before>
push @mycenterpmmods, 'Spoiler Tag';
</add before>

<search for>
            my $codeimg  = q{};
</search for>

<add after>
            my $spoilerimg = q{};
</add after>

<search for>
                if ( $immessage =~ /\[code\s*(.*?)\]/igxsm ) {
                    $codeimg =
qq~<img src="$imagesdir/$im_code1" alt="$inmes_imtxt{'84'}" title="$inmes_imtxt{'84'}" />&nbsp;~;
                    $immessage =~ s/\[code\s*(.*?)\](.+?)\[\/code\]//igxsm;
                }
</search for>

<add after>
                if ( $immessage =~ /\[spoiler\]/igxsm ) {
                    $spoilerimg =
qq~<img src="$imagesdir\/spoiler1.gif" alt="$inmes_imtxt{'85'}" title="$inmes_imtxt{'85'}" \/>&nbsp;~;
                    $immessage =~ s/\[spoiler\](.+?)\[\/spoiler\]//igxsm;
                }
                if ( $immessage =~ /\[spoiler=([A-Za-z0-9# -,.]+)\]/igxsm ) {
                    $spoilerimg =
qq~<img src="$imagesdir\/spoiler1.gif" alt="$inmes_imtxt{'85'}" title="$inmes_imtxt{'85'}" \/>&nbsp;~;
                    $immessage =~
s/\[spoiler=([A-Za-z0-9# -,.]+)\](.+?)\[\/spoiler\]//igxsm;
                }
</add after>

<search for>
                $immessage = qq~$quoteimg$codeimg $immessage~;
</search for>

<replace>
                $immessage = qq~$quoteimg$codeimg$spoilerimg $immessage~;
</replace>

<edit file>
Sources/YaBBC.pm
</edit file>

<search for>
if (@yabbcpmmods) {
</search for>

<add before>
push @yabbcpmmods, 'Spoiler Tag';
</add before>

<search for>
## our Mod Hook ##
</search for>

<add before>
our (%spoiler_txt);
</add before>

<search for>
    # Quote message
</search for>

<add before>
    $message =~
s~\[spoiler\](.+?)\[/spoiler\]~<div class="message"><div style="padding-bottom: 1px;"><b>$spoiler_txt{'01'}:</b> <input type="button" class="button" value="$spoiler_txt{'02'}" onClick="if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';       this.value = '$spoiler_txt{'03'}'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.value = '$spoiler_txt{'02'}'; }"></div><div class="spoiler"><div style="display: none;">$1</div></div></div>~isgm;

    $message =~
s~\[spoiler=([A-Za-z0-9# -,.]+)\](.+?)\[/spoiler\]~<div class="message"><div style="padding-bottom: 1px;"><b>$spoiler_txt{'01'}</b> $spoiler_txt{'04'} <i>$1</i>: <input type="button" class="button" value="$spoiler_txt{'02'}" onClick="if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';        this.value = '$spoiler_txt{'03'}'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.value = '$spoiler_txt{'02'}'; }"></div><div class="spoiler"><div style="display: none;">$2</div></div></div>~isgm;

</add before>

<edit file>
<html>ubbc.js
</edit file>

<search for>
function move() {
    AddSelText("[move]","[/move]");
}
</search for>

<add after>

function spoiler() {
    AddSelText("[spoiler]","[/spoiler]");
}

</add after>

<edit file>
<html>/Templates/Forum/default.css
</edit file>

<search for>
/* Mod Hook End*/
</search for>

<add before>
.spoiler {
    font-size: 100%;
    font-weight: normal;
    font-style: normal;
    font-family: Verdana, Helvetica, Arial, Sans-Serif;
    color: #304B58;
    border: 1px inset;
    width: 90%;
    padding: 4px;
}
</add before>
